## ros-noetic-fetch-navigation 0.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_navigation)

find_package(catkin REQUIRED)
catkin_package()

install(
  DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  PROGRAMS scripts/tilt_head.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch)
  roslaunch_add_file_check(launch/fetch_nav.launch)
  roslaunch_add_file_check(launch/freight_nav.launch)
endif()

=== debian/changelog ===
ros-noetic-fetch-navigation (0.9.1-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 05 Mar 2021 08:00:00 -0000

ros-noetic-fetch-navigation (0.9.0-1buster) buster; urgency=high

  * Initial noetic release
  * Updates for python3 and ROS Noetic
  * Add use_map_topic arg in fetch_nav.launch (#145 <https://github.com/fetchrobotics/fetch_ros/issues/145>)
  * Update bias/scale params (#141 <https://github.com/fetchrobotics/fetch_ros/issues/141>)
    bias params are limited to 5.0, divided them all by 16
    so that our bias distances are close to the defaults
  * Add topicname args to navigation launch (#136 <https://github.com/fetchrobotics/fetch_ros/issues/136>)
    * add topic args for navigation launch files
  * Updates maintainers
  * Contributors: Alex Moriarty, Eric Relson, Koki Shinjo, Michael Ferguson, Russell Toris, Shingo Kitagawa

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 28 Feb 2021 08:00:00 -0000

ros-noetic-fetch-navigation (0.8.2-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-noetic-fetch-navigation (0.8.1-1buster) buster; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Contributors: Alexander Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-noetic-fetch-navigation (0.8.0-1buster) buster; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-navigation (0.7.14-1buster) buster; urgency=high

  * updates ownership
  * Merge pull request #76 <https://github.com/fetchrobotics/fetch_ros/issues/76> from 708yamaguchi/change-amcl-param
    Localized position of fetch often jumps
  * change odom model type and params for amcl
  * Contributors: Derek, Naoya Yamaguchi, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.13-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.12-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.11-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.10-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.9-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.8-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.7-1buster) buster; urgency=high

  * remove run_depend on metapackage
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.6-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.5-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.4-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-noetic-fetch-navigation (0.7.3-1buster) buster; urgency=high

  * Update to new maps
  * Contributors: Aaron Blasdel

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-noetic-fetch-navigation (0.7.2-1buster) buster; urgency=high

  * Fix location of recovery behavior parameters in yaml configs
  * Contributors: Kei Okada, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-noetic-fetch-navigation (0.7.1-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-noetic-fetch-navigation (0.7.0-1buster) buster; urgency=high

  * Use fetch_maps package for maps
  * Allow overriding of move base & amcl param files
  * Contributors: Aaron Blasdel, Ian Danforth

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.6.2-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.6.1-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.6.0-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.5.14-1buster) buster; urgency=high

  * fetch_navigation depends fetch_depth_layer
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 19 Jun 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.5.13-1buster) buster; urgency=high



 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.5.12-1buster) buster; urgency=high

  * Slam_karto node rename in launch
  * Contributors: Aaron Blasdel

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-noetic-fetch-navigation (0.5.11-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-fetch-navigation
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://docs.fetchrobotics.com/navigation.html
Standards-Version: 3.9.2

Package: ros-noetic-fetch-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-amcl, ros-noetic-base-local-planner, ros-noetic-clear-costmap-recovery, ros-noetic-costmap-2d, ros-noetic-fetch-depth-layer, ros-noetic-fetch-maps, ros-noetic-map-server, ros-noetic-move-base, ros-noetic-move-base-msgs, ros-noetic-navfn, ros-noetic-rotate-recovery, ros-noetic-slam-karto, ros-noetic-voxel-grid
Description: Configuration and launch files for running ROS navigation on Fetch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-navigation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
